Bug 157902 - [PATCH] ata_piix fails on some ICH7 hardware
Summary: [PATCH] ata_piix fails on some ICH7 hardware
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL: http://marc.theaimsgroup.com/?l=linux...
Whiteboard:
Keywords:
Depends On:
Blocks: 181409
TreeView+ depends on / blocked
 
Reported: 2005-05-16 21:20 UTC by wingc
Modified: 2013-07-03 02:24 UTC (History)
2 users (show)

Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 21:06:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for ata_piix.c, from Gregory Felix <greg.felix@gmail.com> (2.02 KB, patch)
2005-05-16 21:20 UTC, wingc
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0575 normal SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 4 2006-08-10 04:00:00 UTC

Description wingc 2005-05-16 21:20:28 UTC
Description of problem:

The most recent RHEL4 beta kernel (2.6.9-6.37.EL) includes support for the ICH7
SATA controllers, but this fails to work properly on my hardware. (HP xw4300
workstation, ATA controller set to 'separate controller mode' in BIOS)

The kernel reports the error message:

ata_piix: probe of 0000:00:1f.2 failed with error -5

This problem has already been reported on the linux-kernel mailing list. A patch
was posted to the list which solves the problem for me, however this patch has
not yet made it into the official kernel, or the 'libata' repository maintained
by Jeff Garzik.

Version-Release number of selected component (if applicable):

RHEL4 beta kernel, 2.6.9-6.37.EL

How reproducible:

Always

Steps to Reproduce:
1. try to load the ata_piix driver with an ICH7 controller (8086:27c0)
  
Actual results:

The kernel reports error message:
ata_piix: probe of 0000:00:1f.2 failed with error -5

and does not attach the SATA controller.

Expected results:

the SATA controller should work

Additional info:


This problem was originally reported by Greg Felix on the linux kernel mailing
list. To find the original message search for:

From: 'Greg Felix <gregfelixlkml@gmail.com>'
Subject: 'PROBLEM: ICH7 SATA drive not detected.'
Date: 2005-02-26

Here is a link to the original message:

http://marc.theaimsgroup.com/?l=linux-kernel&m=110938051022980



Greg later posted a patch which solves the problem (for me as well as for him):

References for this posting:

From: 'Greg Felix <gregfelixlkml@gmail.com>'
Subject: '[PATCH] ata_piix.c: check PCI sub-class code before AHCI disabling'
Date: 2005-03-05

Here is a link:

http://marc.theaimsgroup.com/?l=linux-ide&m=110999169405779



I included a copy of the posting with the patch as an attachment. Note that the
patch is whitespace-damaged, but otherwise applies to the current RHEL4 beta
kernel (2.6.9-6.37.EL).

Applying this patch solves the problem for me, and ata_piix works properly.

Comment 1 wingc 2005-05-16 21:20:28 UTC
Created attachment 114449 [details]
patch for ata_piix.c, from Gregory Felix <greg.felix@gmail.com>

Comment 2 wingc 2005-05-17 14:31:39 UTC
Update: I emailed Greg yesterday. According to him, the patch is now queued for
inclusion in the 2.6 kernel (via Jeff Garzik).

So it should be safe to add it to RHEL4.

Comment 4 Jason Baron 2006-05-01 15:59:50 UTC
committed in stream U4 build 34.27. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 8 Red Hat Bugzilla 2006-08-10 21:06:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html



Note You need to log in before you can comment on or make changes to this bug.